Create Credit Application

This helps to create Credit Application taking Customer ID, Customer Type and Lender details as Input.

Generated from cURL: curl --location 'https://qa.emotivesoft.io/api/method/emotive_app.api.crm.credit_app.create_credit_application'
--header 'Accept: application/json'
--header 'Content-Type: application/json; charset=UTF-8'
--header 'X-Frappe-CSRF-Token: e9f03601c8fb010bcf2dd5bd653681d0c3ef381365614c4f988775de'
--header 'Cookie: full_name=Santhosh Kumar; sid=e9eb5f1eaeba5c1b5e531e7648b964121a48890f9664fb0117e0a489; system_user=yes; user_id=[email protected]; user_image='
--data '{
"party_name": "2025-00051",
"customer_type": "Individual",
"lender" : "Lender For Automation"
}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Method

  • POST

End Point

  • {{url}}/api/method/emotive_app.api.crm.credit_app.create_credit_application

Example Request

{
    "party_name": "2025-00051",
    "customer_type": "Individual"
}

Response Explanation

A successful response returns HTTP status 200 with JSON content containing the details of the newly created credit application.


Response Body Parameters

  • name (string)
    Unique Credit Application number.
  • applicant_name (string)
    Unique identifier of the applicant.

Example Response

{
    "name": "C-2026-01-00006",
    "applicant_name": "2026-00040"
}

Body Params
string
required
Defaults to 2026-00040

The unique identifier or name for the party.

string
required
Defaults to Individual

Type of customer (e.g., Individual, Company, etc.).

Headers
string
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json